Subject: Re: [mobile-ip] Connectathon 2003 issues for MIPv6 draft-20/ Comments on Movement Detection

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 14 Mar 2003 18:46:29 -0800 (PST)

> Actually our team also attended Connectathon. My colleague Kim said he 
> met you at there. 

Yes, I met the Samsung team at Connectathon.

> We adopt eager cell switching. MN sends BU immediately after it receives 
> a RA with different Prefix Information Option. We are worried this may cause 
> security problem. 
> 

If only prefix information is considered for movement detection, then
there might be false detection, in case another router starts advertising
a different prefix on the same link. Thus doing both prefix comparison
and default router address comparison and NUD provide reasonable amount of
guarantee at L3 layer for movement detection.

> IMHO, Movement Detection needs more thorough investigation.  
>  

That could be true for fine tuning and it can be handled in a separate draft.

Thanks,
-Samita